! ---------------------------------------------------------- !
     subroutine mm_srt_ct(msgtype)
! ---------------------------------------------------------- !
! Purpose: To ship spectral information to mm.
! ---------------------------------------------------------- !
     use communicate
     use grt
     implicit none
     integer, intent(in) :: msgtype 
     character(len=30) :: ct = 'ct'
     external fbuff

     call fbuff()

     call pk(xspec1d,iems)
     call pk(emis1d,iems)
     call pk(opac1d,iopc)
     call destin(msgtype,ct)     

     end subroutine mm_srt_ct
